Package org.flowable.bpmn.model

# Class SequenceFlow

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement
org.flowable.bpmn.model.SequenceFlow

All Implemented Interfaces:
  `HasExecutionListeners`, `HasExtensionAttributes`

public class SequenceFlow extends FlowElement

Author:
  Tijs Rademakers, Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `conditionExpression`
  `protected String`
  `conditionLanguage`
  `protected String`
  `skipExpression`
  `protected FlowElement`
  `sourceFlowElement`
  `protected String`
  `sourceRef`
  `protected FlowElement`
  `targetFlowElement`
  `protected String`
  `targetRef`
  `protected List<Integer>`
  `waypoints`
  Graphical information: a list of waypoints: x1, y1, x2, y2, x3, y3, ..

  ### Fields inherited from class org.flowable.bpmn.model.FlowElement

  `documentation, executionListeners, name, parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SequenceFlow()`
  `SequenceFlow(String sourceRef, String targetRef)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SequenceFlow`
  `clone()`
  `String`
  `getConditionExpression()`
  `String`
  `getConditionLanguage()`
  `String`
  `getSkipExpression()`
  `FlowElement`
  `getSourceFlowElement()`
  `String`
  `getSourceRef()`
  `FlowElement`
  `getTargetFlowElement()`
  `String`
  `getTargetRef()`
  `List<Integer>`
  `getWaypoints()`
  `void`
  `setConditionExpression(String conditionExpression)`
  `void`
  `setConditionLanguage(String conditionLanguage)`
  `void`
  `setSkipExpression(String skipExpression)`
  `void`
  `setSourceFlowElement(FlowElement sourceFlowElement)`
  `void`
  `setSourceRef(String sourceRef)`
  `void`
  `setTargetFlowElement(FlowElement targetFlowElement)`
  `void`
  `setTargetRef(String targetRef)`
  `void`
  `setValues(SequenceFlow otherFlow)`
  `void`
  `setWaypoints(List<Integer> waypoints)`
  `String`
  `toString()`

  ### Methods inherited from class org.flowable.bpmn.model.FlowElement

  `getDocumentation, getExecutionListeners, getName, getParentContainer, getSubProcess, setDocumentation, setExecutionListeners, setName, setParentContainer, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### conditionExpression

    protected String conditionExpression

  - ### conditionLanguage

    protected String conditionLanguage

  - ### sourceRef

    protected String sourceRef

  - ### targetRef

    protected String targetRef

  - ### skipExpression

    protected String skipExpression

  - ### sourceFlowElement

    protected FlowElement sourceFlowElement

  - ### targetFlowElement

    protected FlowElement targetFlowElement

  - ### waypoints

    protected List<Integer> waypoints
    Graphical information: a list of waypoints: x1, y1, x2, y2, x3, y3, .. Added during parsing of a process definition.

- ## Constructor Details

  - ### SequenceFlow

    public SequenceFlow()

  - ### SequenceFlow

    public SequenceFlow(String sourceRef, String targetRef)

- ## Method Details

  - ### getConditionExpression

    public String getConditionExpression()

  - ### setConditionExpression

    public void setConditionExpression(String conditionExpression)

  - ### getConditionLanguage

    public String getConditionLanguage()

  - ### setConditionLanguage

    public void setConditionLanguage(String conditionLanguage)

  - ### getSourceRef

    public String getSourceRef()

  - ### setSourceRef

    public void setSourceRef(String sourceRef)

  - ### getTargetRef

    public String getTargetRef()

  - ### setTargetRef

    public void setTargetRef(String targetRef)

  - ### getSkipExpression

    public String getSkipExpression()

  - ### setSkipExpression

    public void setSkipExpression(String skipExpression)

  - ### getSourceFlowElement

    public FlowElement getSourceFlowElement()

  - ### setSourceFlowElement

    public void setSourceFlowElement(FlowElement sourceFlowElement)

  - ### getTargetFlowElement

    public FlowElement getTargetFlowElement()

  - ### setTargetFlowElement

    public void setTargetFlowElement(FlowElement targetFlowElement)

  - ### getWaypoints

    public List<Integer> getWaypoints()

  - ### setWaypoints

    public void setWaypoints(List<Integer> waypoints)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### clone

    public SequenceFlow clone()
    Specified by:
      `clone` in class `FlowElement`

  - ### setValues

    public void setValues(SequenceFlow otherFlow)